## cdo 1.9.9~rc9

=== debian/changelog ===
cdo (1.9.9~rc9-1) unstable; urgency=medium

  * New upstream release
  * Set Vcs-Git to point to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2020 08:53:29 +0100

cdo (1.9.9~rc8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 07:59:48 +0100

cdo (1.9.9~rc7-1) unstable; urgency=medium

  * New upstream release
  * Change branch names, gbp.conf to match DEP-14

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Sep 2020 10:13:30 +0100
