=== debian/control ===
Source: cdo
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-buildinfo, 
 dh-sequence-fortran-mod,
 libproj-dev, 
 patchelf,
 automake (>= 1.16.1-1~),
 gfortran | fortran-compiler,
 cfortran,
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, libaec-dev,
 libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,  
 libfftw3-dev, libudunits2-dev,
 ruby,
 libeccodes-dev (>= 2.13.1-2),
 libtool, 
 libxml2-dev,
 libmagics++-dev (>= 2.24.7-7),
 libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
Standards-Version: 4.5.0
Build-Conflicts: libcdi-dev, libcdi0
Homepage: https://code.mpimet.mpg.de/projects/cdo
Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
Vcs-Git: https://salsa.debian.org:/science-team/cdo.git -b debian/latest

Package: cdo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcdi0 ( = ${binary:Version})
Recommends: python3-cdo
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators 
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcdi0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Climate Data Interface (cdi) library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.

Package: libcdi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the climate data interface library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.
 This package provides development libraries to build against CDI.
