## cdo 1.9.10~rc1

=== debian/changelog ===
cdo (1.9.10~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Nov 2020 15:43:05 +0000
