=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
