## cdo 1.9.10~rc2

=== debian/changelog ===
cdo (1.9.10~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Dec 2020 08:59:20 +0000
