## cdo 1.9.10~rc4

=== debian/changelog ===
cdo (1.9.10~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2021 07:37:20 +0000
