## cdo 1.9.10

=== debian/changelog ===
cdo (1.9.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2021 07:30:30 +0000
