## cdo 2.0.0~rc1

=== debian/changelog ===
cdo (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Apr 2021 16:18:29 +0100
