## cdo 2.0.0~rc2

=== debian/changelog ===
cdo (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Jun 2021 12:50:38 +0100
