## cdo 2.0.0~rc3

=== debian/changelog ===
cdo (2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jun 2021 12:46:44 +0100
