## cdo 2.0.0~rc4

=== debian/changelog ===
cdo (2.0.0~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jul 2021 11:45:06 +0100
