## cdo 2.0.0~rc7

=== debian/changelog ===
cdo (2.0.0~rc7-1build1) jammy; urgency=medium

  * No-change rebuild against libproj22

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Oct 2021 06:18:48 +0000

cdo (2.0.0~rc7-1) unstable; urgency=medium

  * New upstream release
  * Mark autopkgtests as superficial. Closes: #974446

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Sep 2021 09:09:12 +0100

cdo (2.0.0~rc5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * Update watch file for rc files

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Aug 2021 06:50:15 +0100
