## cdo 2.0.0

=== debian/changelog ===
cdo (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Nov 2021 12:22:31 +0000
