## cdo 2.0.1

=== debian/changelog ===
cdo (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Ensure ruby called with C.UTF-8 locale in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Nov 2021 08:39:22 +0000
