## cdo 2.0.2

=== debian/changelog ===
cdo (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Dec 2021 07:23:36 +0000
