## cdo 2.0.3

=== debian/changelog ===
cdo (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Set LC_ALL=UTF-8 in ruby doc build
  * Install cmake files in $LIBDIR/cmake/cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Jan 2022 07:39:11 +0000
