## cdo 2.0.4

=== debian/changelog ===
cdo (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 08:40:08 +0000
