=== debian/tests/control ===
Test-Command: set -e
  ; cdo --help 2> /dev/null
Depends: cdo
Restrictions: superficial

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import cdo"
 ; done
Restrictions: superficial
Depends: python3-cdo
