## cdo 2.0.5

=== debian/changelog ===
cdo (2.0.5-1build1) kinetic; urgency=medium

  * No-change rebuild against libproj25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 16:21:45 +0000

cdo (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * cmake dir now libcdi, not cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Mar 2022 17:23:25 +0000
