## cdo 2.0.6

=== debian/changelog ===
cdo (2.0.6-2) unstable; urgency=medium

  * Simple cdo --help test dropped as it now returns non-zero
    Closes: #1019222

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 13:50:53 +0100

cdo (2.0.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: don't fail on partial failur of makecomp.rb
  * Add extra files to /usr/include in libcdi-dev.install
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2022 15:49:24 +0100
