=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,8 @@
 override_dh_auto_build:
 	dh_auto_build --builddirectory=$(BUILDDIR) 
 	$(DO_FLANG) && $(MAKE) -C $(BUILDDIR_FLANG)/libcdi/src  || true
-	(cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
+	# Ignore error here ; it mostly works
+	- (cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
 
 override_dh_auto_install:
 	dh_auto_install
