## cdo 2.1.0

=== debian/changelog ===
cdo (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Change cmake dir libcdi->cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2022 08:24:12 +0100
