## cdo 2.1.1

=== debian/changelog ===
cdo (2.1.1-1+deb12u1) bookworm; urgency=medium

  * Remove enable-hirlam-extensions as it causes issues with ICON data files
    Closes: #1051017

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Dec 2023 17:50:35 +0000

cdo (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Add Rules-Requires-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2022 10:27:47 +0000

cdo (2.0.6-3) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from
    ./configure).
  * Fix broken Vcs URL.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 15 Nov 2022 09:33:13 -0000
