=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 13), 
- dh-buildinfo, 
+Build-Depends: debhelper-compat (= 13),
+ dh-buildinfo,
  dh-sequence-fortran-mod,
- libproj-dev, 
+ libproj-dev,
  patchelf,
  automake (>= 1.16.1-1~),
  gfortran | fortran-compiler,
  cfortran,
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, libaec-dev,
- libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,  
+ libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,
  libfftw3-dev, libudunits2-dev,
  ruby,
  libeccodes-dev (>= 2.13.1-2),
- libtool, 
+ libtool,
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
@@ -24,15 +24,16 @@
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
-Vcs-Git: https://salsa.debian.org:/science-team/cdo.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/science-team/cdo.git -b debian/latest
+Rules-Requires-Root: no
 
 Package: cdo
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcdi0 ( = ${binary:Version})
 Recommends: python3-cdo
 Description: Climate Data Operators
- Climate Data Operators are a collection of command line Operators 
- to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
+ Climate Data Operators are a collection of command line Operators
+ to manipulate and analyse Climate model Data.  Supported data formats are GRIB,
  netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.
 
 Package: libcdi0
