=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 # To enable all, uncomment following line
 DEB_BUILD_MAINT_OPTIONS:= hardening=+all
-DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC 
+DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC
 export DEB_BUILD_MAINT_OPTIONS
-export DEB_CFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND 
+export DEB_CFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
 # FC set to f77 by default in make
 # Read default compiler name unless FC is actually set
@@ -82,7 +82,6 @@
 	$(WITH_OPENMP) $(WITH_HDF5) \
 	--enable-iso-c-interface  --with-fftw3 --with-curl=/usr --with-udunits2=/usr \
 	--with-szlib \
-	--enable-hirlam-extensions \
 	--with-libxml2=usr/ \
 	--with-eccodes=/usr --disable-cgribex --with-magics=/usr
 
@@ -101,7 +100,7 @@
 		|| true
 
 override_dh_auto_build:
-	dh_auto_build --builddirectory=$(BUILDDIR) 
+	dh_auto_build --builddirectory=$(BUILDDIR)
 	$(DO_FLANG) && $(MAKE) -C $(BUILDDIR_FLANG)/libcdi/src  || true
 	# Ignore error here ; it mostly works
 	- (cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
@@ -118,7 +117,7 @@
 	mkdir -p $(DESTDIR)/usr/share/bash-completions/completions $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
 	cp contrib/cdoCompletion.bash $(DESTDIR)/usr/share/bash-completions/completions/cdo
 	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo
-	find $(DESTDIR) -name '*.la' -delete -o -name '*.so' -delete -o -name '*.so.0' -delete 
+	find $(DESTDIR) -name '*.la' -delete -o -name '*.so' -delete -o -name '*.so.0' -delete
 	mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/gfortran
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.so.0.0.0  $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.a         $(DESTDIR)/$(LIBDIR)/fortran/gfortran
