## cdo 2.2.0

=== debian/changelog ===
cdo (2.2.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:27:55 +0100

cdo (2.2.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * pkgconfig.patch: Fix for incorrect substitution

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Apr 2023 10:33:37 +0100
