## cdo 2.2.1

=== debian/changelog ===
cdo (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Patches rebased

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jul 2023 13:20:48 +0100
