## cdo 2.3.0

=== debian/changelog ===
cdo (2.3.0-2) unstable; urgency=medium

  * Build-dep on dh-fortran-mod (>= 0.32) for multi-fortran support
  * Explicitly build-depend on architecture-is-64-bit
  * Drop hppa,arm,i386 code from d/rules (32-bit)
  * Drop 32-bit.patch
  * d/rules: drop obsolete hdf5 code

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 09:38:38 +0000

cdo (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Oct 2023 10:14:23 +0100

cdo (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Ensure build-twice works. Closes: #1043621
  * Close old obsolete bug report. Closes: #813184

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Aug 2023 07:10:40 +0100
