=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ architecture-is-64-bit,
  dh-buildinfo,
- dh-sequence-fortran-mod,
+ dh-fortran-mod (>= 0.32),
  libproj-dev,
  patchelf,
  automake (>= 1.16.1-1~),
- gfortran | fortran-compiler,
  cfortran,
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, libaec-dev,
