## cdo 2.4.0

=== debian/changelog ===
cdo (2.4.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:47:22 +0000

cdo (2.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:43:29 +0000

cdo (2.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:53:56 +0000

cdo (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Ensure link for libcdi_f2003.so
  * Now add fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 06:51:37 +0000

cdo (2.3.0-3) unstable; urgency=medium

  * Typo in d/rules led to non-usage of libxml2
  * AS_NEEDED not needed in d/rules
  * Drop usage of patchelf as it was breaking mips64el builds
  * Mark bug as fixed in 2.3.0. Closes: #1051017

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Feb 2024 11:52:03 +0000
