=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  architecture-is-64-bit,
  dh-buildinfo,
  dh-fortran-mod (>= 0.32),
  libproj-dev,
- patchelf,
  automake (>= 1.16.1-1~),
  cfortran,
  libnetcdf-dev, netcdf-bin,
@@ -48,7 +48,7 @@
 Package: libcdi-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${fortran:Depends}, libcdi0 (= ${binary:Version})
 Multi-Arch: same
 Description: Development files for the climate data interface library
  CDI is a C and Fortran Interface to access Climate model Data.
