## cdo 2.4.1

=== debian/changelog ===
cdo (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 May 2024 14:07:20 +0100
