## cdo 2.4.2

=== debian/changelog ===
cdo (2.4.2-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete refs to GRIB_API_* in pkgconfig 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Jun 2024 09:39:13 +0100
