## cdo 2.4.3

=== debian/changelog ===
cdo (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * compile-grib.patch: fix typo that breaks build

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Aug 2024 09:54:27 +0100
