## cdo 2.4.4

=== debian/changelog ===
cdo (2.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Sep 2024 18:31:05 +0100
