## cdo 2.5.0

=== debian/changelog ===
cdo (2.5.0-1build2) plucky; urgency=medium

  * No-change rebuild for libnetcdf22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Feb 2025 14:42:24 +0000

cdo (2.5.0-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 17:59:13 +0000

cdo (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Jan 2025 08:23:58 +0000
