=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  architecture-is-64-bit,
- dh-buildinfo,
  dh-fortran-mod (>= 0.32),
  libproj-dev,
  automake (>= 1.16.1-1~),
