=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 CPPFLAGS += -I/usr/include/cdTime
 
 ARCH:=$(shell dpkg --print-architecture)
-AS_NEEDED= -Wl,--as-needed
 
 # On amd64don't do fPIE, only relro
 ifeq ($(ARCH), amd64)
@@ -46,7 +45,7 @@
 	--with-curl=/usr \
 	--with-udunits2=/usr \
 	--with-szlib \
-	--with-libxml2=usr/ \
+	--with-libxml2=/usr \
 	--with-eccodes=/usr \
 	--with-magics=/usr \
 	--enable-iso-c-interface \
@@ -65,7 +64,7 @@
 	for f in $(FC_DEFAULT)  ; do \
 		dh_auto_configure --builddirectory=$(BUILDDIR) -- \
 			FC=$$f $(BUILD_FLAGS)  \
-			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) $(AS_NEEDED)" ; \
+			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) -Wl,--as-needed" ; \
 		done
 
 override_dh_auto_build:
@@ -86,10 +85,8 @@
 	mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/gfortran
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.so.0.0.0  $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.a         $(DESTDIR)/$(LIBDIR)/fortran/gfortran
-	patchelf  --set-soname libcdi_f2003-gfortran.so.0 $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
+	# patchelf  --set-soname libcdi_f2003-gfortran.so.0 $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
 
-override_dh_dwz:
-	@echo "DWZ currently breaks because of patchelf"
 
 override_dh_auto_test:
 	# Need to define path to 'cdo' for python tests
