=== debian/changelog ===
cdo (2.5.1-1build2) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:27:01 +0200

cdo (2.5.1-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:19:39 +0200

cdo (2.5.1-1) unstable; urgency=medium

  * New upstream release
  * compile-grib.patch: merged upstream
  * recinfo.patch: Patch needed for HIRLAM_EXTENSIONS to work
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Mar 2025 15:25:37 +0100
