## cdo 2.5.2

=== debian/changelog ===
cdo (2.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 11:26:08 +0100
