## cdo 2.5.4

=== debian/changelog ===
cdo (2.5.4-2) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop unnecessary Priority: optional
  * Fix VCS-browser syntax
  * d/gbp.conf: pristine-tar = True
  * Add d/salsa-ci.yml
  * Revert upstream branch name to match DEP14
  * cleanups due to cme fix
  * autopkgtests need python3-all; fail without python3.14

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Feb 2026 08:43:30 +0000

cdo (2.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Nov 2025 12:02:43 +0000
