=== debian/control ===
Source: cdo
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit,
 dh-fortran-mod (>= 0.32),
 libproj-dev,
 automake,
 cfortran,
 libnetcdf-dev,
 netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev,
 libaec-dev,
 libhdf5-serial-dev,
 libfftw3-dev,
 libudunits2-dev,
 ruby,
 libeccodes-dev,
 libtool,
 libxml2-dev,
 libmagics++-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
Build-Conflicts:
 libcdi-dev,
 libcdi0,
Vcs-Browser: https://salsa.debian.org/science-team/cdo
Vcs-Git: https://salsa.debian.org/science-team/cdo.git -b debian/latest
Homepage: https://code.mpimet.mpg.de/projects/cdo
Rules-Requires-Root: no

Package: cdo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libcdi0 ( = ${binary:Version}),
Recommends:
 python3-cdo,
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB,
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcdi0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Climate Data Interface (cdi) library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.

Package: libcdi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 ${fortran:Depends},
 libcdi0 (= ${binary:Version}),
Description: Development files for the climate data interface library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.
 This package provides development libraries to build against CDI.
