=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,4 @@
  ; $py -c "import cdo"
  ; done
 Restrictions: superficial
-Depends: python3-cdo
+Depends: python3-cdo, python3-all
