## cdo 2.6.0

=== debian/changelog ===
cdo (2.6.0-1) unstable; urgency=medium

  * debian/copyright: Quote full BSD-3-Clause; it is not in
    common-licenses
  * New upstream release
  * pkgconfig.patch merged upstream
  * Move dh-fortran-mod -> dh-fortran
  * Link against gfortran, json-c for cmor
  * Enable --cmor conforming netcdf

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Feb 2026 13:11:10 +0000
