=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  architecture-is-64-bit,
- dh-fortran-mod (>= 0.32),
+ dh-fortran,
  libproj-dev,
  automake,
  cfortran,
@@ -23,6 +23,8 @@
  libtool,
  libxml2-dev,
  libmagics++-dev,
+ libjson-c-dev,
+ libcmor-dev,
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
 Build-Conflicts:
  libcdi-dev,
