=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # The magic debhelper  rule
 %:
-	dh $@  --builddirectory=$(BUILDDIR) --with fortran_mod
+	dh $@  --builddirectory=$(BUILDDIR) --with fortran
 
 DESTDIR=$(CURDIR)/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -49,6 +49,7 @@
 	--with-eccodes=/usr \
 	--with-magics=/usr \
 	--enable-iso-c-interface \
+	--with-cmor=/usr \
 	--enable-cdi-lib \
 	--enable-hirlam-extensions \
 	--disable-cgribex 
@@ -64,7 +65,7 @@
 	for f in $(FC_DEFAULT)  ; do \
 		dh_auto_configure --builddirectory=$(BUILDDIR) -- \
 			FC=$$f $(BUILD_FLAGS)  \
-			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) -Wl,--as-needed" ; \
+			LIBS="-lgfortran -ljson-c -lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) -Wl,--as-needed" ; \
 		done
 
 override_dh_auto_build:
